%% Datos

R=1.987207; % cal/(molK)
%% Constantes cinticas (mol/ (Lmin))
% Factor preexponencial  mol/min
kp1=3.885e7;
kp2=5.733e5;
kp3=5.803e12;
kp4=9.761e9;
kp5=5.325e3;
kp6=2.135e4;

% Energas de activiacin (cal/mol)


Ea1=13145;
Ea2=9932;
Ea3=19860;
Ea4=14639;
Ea5=6421;
Ea6=9588;

% Clculo de las contantes
k1=kp1*exp(-Ea1./(R*T));
k2=kp2*exp(-Ea2./(R*T));
k3=kp3*exp(-Ea3./(R*T));
k4=kp4*exp(-Ea4./(R*T));
k5=kp5*exp(-Ea5./(R*T));
k6=kp6*exp(-Ea6./(R*T));








%% Concentraciones (condiciones iniciales)

TG0=1;
DG0=0;
MG0=0;
E0=0;
A0=6;
GL0=0;







tmax=40;

variables_workspace=whos;
num_variables=length(variables_workspace);
for i=1:num_variables
    eval(['param.',variables_workspace(i).name,'=',variables_workspace(i).name,';']);
end



