%% Datos
Temperatura= 50; % C
T=Temperatura+273.15; % K

R=1.987207e-3;
%% Constantes cinticas (L /(molmin))
% Factor preexponencial (L/ molmin)
kp1=3.885e7;
kp2=5.733e5;
kp3=5.803e12;
kp4=9.761e9;
kp5=5.325e3;
kp6=2.135e4;

% Energas de activiacin (Kcal/mol)
Ea1=13.145;
Ea2=9.932;
Ea3=19.860;
Ea4=14.639;
Ea5=6.421;
Ea6=9.588;

% Clculo de las contantes (L/(molmin))
k1=kp1*exp(-Ea1/(R*T));
k2=kp2*exp(-Ea2/(R*T));
k3=kp3*exp(-Ea3/(R*T));
k4=kp4*exp(-Ea4/(R*T));
k5=kp5*exp(-Ea5/(R*T));
k6=kp6*exp(-Ea6/(R*T));



%% Concentraciones (condiciones iniciales) mol/L

TG0=1;
DG0=0;
MG0=0;
E0=0;
A0=6;
GL0=0;
%% Tiempo de simulacin

tmax=90; % min