% Sistema de EDO's del problema 2 examen ASP UII 23-4-15 curs 14-15

% EDOs_examen_ASP_UII_23_4_15_curs_14_15.m

function dYdX=EDOs_modelo_1(X,Y,param)

% Se extraen los parmetros de la estructura param

nombres_variables=fieldnames(param);
longitud_param=length(nombres_variables);
for i=1:longitud_param
    eval([nombres_variables{i},'=param.',nombres_variables{i},';']);
end

% Se identifica la variable independiente particular con la variable
% independiente genrica X.

t=X;

% Se identifican las variables de estado del problema particular con las
% variables de estado genricas Y

TG=Y(1);
DG=Y(2);
MG=Y(3);
E= Y(4);
A= Y(5);
GL=Y(6);

% Se definen variables que aparecen en el sistema de EDOs a partir de otras
% funciones definidas aparte.


% Construimos el sistema de EDOs

dTGdt=-k1*TG*A+k2*DG*A; 
dDGdt=k1*TG*A-k2*DG*A-k3*DG*A+k4*MG*E;
dMGdt=k3*DG*A-k4*MG*E-k5*MG*A+k6*GL*E;
dEdt=k1*TG*A-k2*DG*E+k3*DG*A-k4*MG*E+k5*MG*A-k6*GL*E; 
dAdt=-dEdt;
dGLdt=k5*MG*A-k6*GL*E; 






% Se identifica dYdX genrica con las derivadas de las variables de estado
% del problema particular. Se trata de un vector columna.

dYdX=[dTGdt;dDGdt;dMGdt;dEdt;dAdt;dGLdt];

end