function dif_Y=dif_Y(b,Xexp,Yexp,param,Y0)
    
    % Asignamos los parmetros genricos a los particulares
    
    k7=b(1);
    k8=b(2);
        
    % Asignamos las variables independientes genricas a las particulares
    
   t=Xexp;
   Xspan=t;
    
    % Asignamos las variables dependientes genricas a las particulares
    
  
    TGexp=Yexp(:,1);
    Eexp=Yexp(:,2);
    Aexp=Yexp(:,3);
    GLexp=Yexp(:,4);
    
    % Calculamos las variables dependientes tericas
    f=@(X,Y) EDOs_modelo_1_k(X,Y,b,param);

opciones=odeset('RelTol',1e-3,'AbsTol',1e-6,'Refine',10,'MaxStep',[]);
[Xsim,Ysim_2]=ode15s(f,Xspan,Y0,opciones);
tsim=Xsim;
TG=Ysim_2(:,1);
E=Ysim_2(:,2);
A=Ysim_2(:,3);
GL=Ysim_2(:,4);

    
    % Calculamos la diferencia entre las variables dependientes tericas y
    % las experimentales
    
    dif_TG=(TG-TGexp);
    dif_E=E-Eexp;
    dif_A=(A-Aexp);
    dif_GL=(GL-GLexp);
    % Construimos el vector de diferencias
    
    dif_Y=[dif_TG,dif_E,dif_A,dif_GL];
    
end
